Subject: [Ice] Trickle ICE Section 8

From: Bernard Aboba <[email-masked]>
Date: Mon, 31 Oct 2016 14:23:26 -0700

Next the agent sends (i.e., trickles) the newly discovered
   candidate(s) to the remote agent.  The actual delivery of the new
   candidates is handled by signaling protocols such as SIP or XMPP.
   Trickle ICE imposes no restrictions on the way this is done or
   whether it is done at all.

[BA] Surely Trickle ICE cannot function with no signaling, right?

I think you mean to say that the specification does not require that all

candidates be trickled and that the implementation can filter candidates.

   For example, some applications may choose
   not to send trickle updates for server reflexive candidates and rely
   on the discovery of peer reflexive ones instead.